Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.jmx.builder
[Java] Class JmxBuilderModelMBean

    java.lang.Object
      javax.management.modelmbean.RequiredModelMBean
          groovy.jmx.builder.JmxBuilderModelMBean

All Implemented Interfaces:
  javax.management.NotificationListener

    public class JmxBuilderModelMBean
    extends javax.management.modelmbean.RequiredModelMBean

The JmxBuilderModelMBean is the MBean class that proxies exported POGO/POJO inside the MBeanServer. When JmxBuilder exports an object instance, an instance of this class is created and exported inside the MBeanServer.

Authors:
  Vladimir Vivien

Constructor Summary
`JmxBuilderModelMBean(java.lang.Object objectRef)`
`JmxBuilderModelMBean()`
`JmxBuilderModelMBean(javax.management.modelmbean.ModelMBeanInfo mbi)`

Method Summary
`void` | `addEventListeners(javax.management.MBeanServer server, java.util.Map descriptor)` Sets up event listeners for this MBean as described in the descriptor.
`void` | `addOperationCallListeners(java.util.Map descriptor)` Registers listeners for operation calls (i.e. method, getter, and setter calls) when invoked on this bean from the MBeanServer.
`void` | `handleNotification(javax.management.Notification note, java.lang.Object handback)`
`java.lang.Object` | `invoke(java.lang.String opName, java.lang.Object[] opArgs, java.lang.String[] signature)`
`void` | `setManagedResource(java.lang.Object obj)`

Methods inherited from class javax.management.modelmbean.RequiredModelMBean
javax.management.modelmbean.RequiredModelMBean#invoke(java.lang.String, [Ljava.lang.Object;, [Ljava.lang.String;), javax.management.modelmbean.RequiredModelMBean#load(), javax.management.modelmbean.RequiredModelMBean#store(), javax.management.modelmbean.RequiredModelMBean#getAttributes([Ljava.lang.String;), javax.management.modelmbean.RequiredModelMBean#getAttribute(java.lang.String), javax.management.modelmbean.RequiredModelMBean#setAttribute(javax.management.Attribute), javax.management.modelmbean.RequiredModelMBean#setAttributes(javax.management.AttributeList), javax.management.modelmbean.RequiredModelMBean#getMBeanInfo(), javax.management.modelmbean.RequiredModelMBean#addNotificationListener(javax.management.NotificationListener, javax.management.NotificationFilter, java.lang.Object), javax.management.modelmbean.RequiredModelMBean#removeNotificationListener(javax.management.NotificationListener), javax.management.modelmbean.RequiredModelMBean#removeNotificationListener(javax.management.NotificationListener, javax.management.NotificationFilter, java.lang.Object), javax.management.modelmbean.RequiredModelMBean#sendNotification(javax.management.Notification), javax.management.modelmbean.RequiredModelMBean#sendNotification(java.lang.String), javax.management.modelmbean.RequiredModelMBean#setManagedResource(java.lang.Object, java.lang.String), javax.management.modelmbean.RequiredModelMBean#getNotificationInfo(), javax.management.modelmbean.RequiredModelMBean#addAttributeChangeNotificationListener(javax.management.NotificationListener, java.lang.String, java.lang.Object), javax.management.modelmbean.RequiredModelMBean#removeAttributeChangeNotificationListener(javax.management.NotificationListener, java.lang.String), javax.management.modelmbean.RequiredModelMBean#sendAttributeChangeNotification(javax.management.AttributeChangeNotification), javax.management.modelmbean.RequiredModelMBean#sendAttributeChangeNotification(javax.management.Attribute, javax.management.Attribute), javax.management.modelmbean.RequiredModelMBean#postRegister(java.lang.Boolean), javax.management.modelmbean.RequiredModelMBean#preDeregister(), javax.management.modelmbean.RequiredModelMBean#postDeregister(), javax.management.modelmbean.RequiredModelMBean#setModelMBeanInfo(javax.management.modelmbean.ModelMBeanInfo), javax.management.modelmbean.RequiredModelMBean#preRegister(javax.management.MBeanServer, javax.management.ObjectName), javax.management.modelmbean.RequiredModelMBean#wait(long), javax.management.modelmbean.RequiredModelMBean#wait(long, int), javax.management.modelmbean.RequiredModelMBean#wait(), javax.management.modelmbean.RequiredModelMBean#equals(java.lang.Object), javax.management.modelmbean.RequiredModelMBean#toString(), javax.management.modelmbean.RequiredModelMBean#hashCode(), javax.management.modelmbean.RequiredModelMBean#getClass(), javax.management.modelmbean.RequiredModelMBean#notify(), javax.management.modelmbean.RequiredModelMBean#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### JmxBuilderModelMBean

    public JmxBuilderModelMBean(java.lang.Object objectRef)

### JmxBuilderModelMBean

    public JmxBuilderModelMBean()

### JmxBuilderModelMBean

    public JmxBuilderModelMBean(javax.management.modelmbean.ModelMBeanInfo mbi)

Method Detail

### addEventListeners

    public void addEventListeners(javax.management.MBeanServer server, java.util.Map descriptor)

  Sets up event listeners for this MBean as described in the descriptor. The descriptor contains a map with layout {item -> Map[event:"...", from:ObjectName, callback:&Closure],...,}
  Parameters:
    `server` - the MBeanServer is to be registered.
    `descriptor` - a map containing info about the event

### addOperationCallListeners

    public void addOperationCallListeners(java.util.Map descriptor)

  Registers listeners for operation calls (i.e. method, getter, and setter calls) when invoked on this bean from the MBeanServer. Descriptor should contain a map with layout item -> [Map[methodListener:[target:"", tpe:"", callback:&Closure], ... ,]]
  Parameters:
    `descriptor` - MetaMap descriptor containing description of operation call listeners

### handleNotification

    public void handleNotification(javax.management.Notification note, java.lang.Object handback)

### invoke

    this.sendNotification(buildCallListenerNotification(opName));
    public java.lang.Object invoke(java.lang.String opName, java.lang.Object[] opArgs, java.lang.String[] signature)

### setManagedResource

    public void setManagedResource(java.lang.Object obj)

Groovy Documentation